f



Matlab 64-bit and Modelsim 32-bit co-simulation (EDA Simlulator Link))

Hello,

I'm trying to run a co-simulation on my Windows 7 64-bit system.

I've installed the 64-bit version of Matlab (R2010b) and the 32-bit version of Modelsim, because there ist no 64-bit version for windows. Each alone works great, but now I want to use the EDA Simulator Link and it does not work. 

When I start "vsim" in the command window I get an error. I traced it back and I think it has something to do with the use of libraries (32bit vs 64bit), but I don't now what exactly.

How can I make this work? Is it even possible?

Andreas
0
Andreas
2/8/2011 3:07:03 PM
comp.soft-sys.matlab 211266 articles. 24 followers. lunamoonmoon (257) is leader. Post Follow

2 Replies
1250 Views

Similar Articles

[PageSpeed] 26

Can you post the error message you got in MATLAB?

EDA Simulator Link supports 32bit ModelSim in 64-bit MATLAB. What is your 
ModelSim version? Maybe you need to check if your ModelSim version is 
officially supported by EDA Simulator Link in R2010b.

Thanks,
Tao

"Andreas Schoberth" <andreas.schoberth@gmx.de> wrote in message 
news:iirm6n$i7o$1@fred.mathworks.com...
> Hello,
>
> I'm trying to run a co-simulation on my Windows 7 64-bit system.
>
> I've installed the 64-bit version of Matlab (R2010b) and the 32-bit 
> version of Modelsim, because there ist no 64-bit version for windows. Each 
> alone works great, but now I want to use the EDA Simulator Link and it 
> does not work.
> When I start "vsim" in the command window I get an error. I traced it back 
> and I think it has something to do with the use of libraries (32bit vs 
> 64bit), but I don't now what exactly.
>
> How can I make this work? Is it even possible?
>
> Andreas
> 


0
Tao
2/8/2011 4:19:43 PM
Hello,

the error message was:

>> vsim
Both launcher " modelsim -noautoldlibpath -gui -do "do {D:/svn/whd/code/simulink/2_energy_dispersal/compile_and_launch.tcl}"" and " questasim -noautoldlibpath -gui -do "do {D:/svn/whd/code/simulink/2_energy_dispersal/compile_and_launch.tcl}"" failed with non-zero status! 
If the problem is that it is not on the system path, 
please use parameter 'hdlsimdir' to specify its location

??? Error using ==> hdlsim at 283
Der Befehl "questasim" ist entweder falsch geschrieben oder
konnte nicht gefunden werden.

Error in ==> vsim at 101
hdlsim(pvpairs{:});



But you were right, I used the Modelsim version 6.6d, which is not supported. Now I'm using Modelsim 6.5e and it works fine. Thank's a lot.

Andreas




"Tao Jia" <tjia@mathworks.com> wrote in message <iirqf8$q5a$1@fred.mathworks.com>...
> Can you post the error message you got in MATLAB?
> 
> EDA Simulator Link supports 32bit ModelSim in 64-bit MATLAB. What is your 
> ModelSim version? Maybe you need to check if your ModelSim version is 
> officially supported by EDA Simulator Link in R2010b.
> 
> Thanks,
> Tao
> 
> "Andreas Schoberth" <andreas.schoberth@gmx.de> wrote in message 
> news:iirm6n$i7o$1@fred.mathworks.com...
> > Hello,
> >
> > I'm trying to run a co-simulation on my Windows 7 64-bit system.
> >
> > I've installed the 64-bit version of Matlab (R2010b) and the 32-bit 
> > version of Modelsim, because there ist no 64-bit version for windows. Each 
> > alone works great, but now I want to use the EDA Simulator Link and it 
> > does not work.
> > When I start "vsim" in the command window I get an error. I traced it back 
> > and I think it has something to do with the use of libraries (32bit vs 
> > 64bit), but I don't now what exactly.
> >
> > How can I make this work? Is it even possible?
> >
> > Andreas
> > 
> 
0
Andreas
2/9/2011 9:55:04 AM
Reply: